package de.twenty11.skysail.common.ext.osgimonitor;

import java.util.List;

import org.restlet.resource.Get;

import de.twenty11.skysail.common.responses.Response;

/**
 * Restful Http Service for Connections.
 * 
 */
public interface RestfulBundles {

    /**
     * Returns a skysail {@link Response} containing the list of osgi bundles.
     * 
     * @return a skysail response.
     */
    @Get
    public Response<List<BundleDetails>> getBundles();

}
